com.sun.star.script.framework.provider.oorexx

## Class ScriptProviderForooRexx._ScriptProviderForooRexx

- java.lang.Object
- - com.sun.star.script.framework.provider.ScriptProvider
  - - com.sun.star.script.framework.provider.oorexx.ScriptProviderForooRexx._ScriptProviderForooRexx

- All Implemented Interfaces:
    com.sun.star.beans.XPropertySet, com.sun.star.container.XElementAccess, com.sun.star.container.XNameAccess, com.sun.star.container.XNameContainer, com.sun.star.container.XNameReplace, com.sun.star.lang.XInitialization, com.sun.star.lang.XServiceInfo, com.sun.star.lang.XTypeProvider, com.sun.star.script.browse.XBrowseNode, com.sun.star.script.provider.XScriptProvider, com.sun.star.script.XInvocation, com.sun.star.uno.XInterface
  Enclosing class:
    ScriptProviderForooRexx

      public static class ScriptProviderForooRexx._ScriptProviderForooRexx
      extends com.sun.star.script.framework.provider.ScriptProvider

- - ### Field Summary

    - ### Fields inherited from class com.sun.star.script.framework.provider.ScriptProvider

      `CLASSPATH, language, m_container, m_xContext, m_xInvocContext, m_xModel, m_xMultiComponentFactory`

    - ### Fields inherited from interface com.sun.star.script.provider.XScriptProvider

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.script.browse.XBrowseNode

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.beans.XPropertySet

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.script.XInvocation

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.lang.XInitialization

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.lang.XTypeProvider

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.lang.XServiceInfo

      `UNOTYPEINFO`

    - ### Fields inherited from interface com.sun.star.container.XNameContainer

      `UNOTYPEINFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_ScriptProviderForooRexx(com.sun.star.uno.XComponentContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sun.star.script.provider.XScript` | `getScript(java.lang.String scriptURI)`
    `com.sun.star.script.framework.provider.ScriptEditor` | `getScriptEditor()`
    `boolean` | `hasScriptEditor()`

    - ### Methods inherited from class com.sun.star.script.framework.provider.ScriptProvider

      `addPropertyChangeListener, addVetoableChangeListener, getByName, getChildNodes, getElementNames, getElementType, getImplementationId, getImplementationName, getIntrospection, getName, getPropertySetInfo, getPropertyValue, getScriptData, getScriptingContext, getSupportedServiceNames, getType, getTypes, getValue, hasByName, hasChildNodes, hasElements, hasMethod, hasProperty, initialize, insertByName, invoke, removeByName, removePropertyChangeListener, removeVetoableChangeListener, replaceByName, setPropertyValue, setValue, supportsService, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### _ScriptProviderForooRexx

          public _ScriptProviderForooRexx(com.sun.star.uno.XComponentContext ctx)

  - ### Method Detail

    - #### getScript

          public com.sun.star.script.provider.XScript getScript(java.lang.String scriptURI)
                                                         throws com.sun.star.uno.RuntimeException,
                                                                com.sun.star.script.provider.ScriptFrameworkErrorException

      Specified by:
        `getScript` in interface `com.sun.star.script.provider.XScriptProvider`
      Specified by:
        `getScript` in class `com.sun.star.script.framework.provider.ScriptProvider`
      Throws:
        `com.sun.star.uno.RuntimeException`
        `com.sun.star.script.provider.ScriptFrameworkErrorException`

    - #### hasScriptEditor

          public boolean hasScriptEditor()

      Specified by:
        `hasScriptEditor` in class `com.sun.star.script.framework.provider.ScriptProvider`

    - #### getScriptEditor

          public com.sun.star.script.framework.provider.ScriptEditor getScriptEditor()

      Specified by:
        `getScriptEditor` in class `com.sun.star.script.framework.provider.ScriptProvider`